SMP_REP_EXP_ROUTE_TBL(8)

NAME
smp_rep_exp_route_tbl - invoke REPORT EXPANDER ROUTE TABLE LIST SMP function

SYNOPSIS
smp_rep_exp_route_tbl [--brief] [--help] [--hex] [--index=IN] [--interface=PARAMS] [--num=NUM] [--phy=ID] [--raw] [--sa=SAS_ADDR] [--verbose] [--version] SMP_DEVICE[,N]

DESCRIPTION

Sends a SAS Serial Management Protocol (SMP) REPORT EXPANDER ROUTE TABLE LIST function request to an SMP target and decodes or outputs the response. The SMP target is identified by the SMP_DEVICE and the SAS_ADDR. Depending on the interface, the SAS_ADDR may be deduced from the SMP_DEVICE. The mpt interface uses SMP_DEVICE to identify a HBA (an SMP initiator) and needs the additional ,N to differentiate between HBAs if there are multiple present.

There are two expander route table types: phy-based and expander-based. The expander-based route table was introduced in SAS-2 and supersedes the phy-based route tables. The REPORT EXPANDER ROUTE TABLE LIST function is associated with an expander-based route table. There is no corresponding CONFIGURE function because a expander-based route table is self-configured.

OPTIONS
Mandatory arguments to long options are mandatory for short options as well.

-b, --brief
    reduce the decoded response output.

-h, --help
    output the usage message then exit.

-H, --hex
    output the response (less the CRC field) in hexadecimal.

-i, --index=IN
    IN is the starting routed SAS address index. The default value is 0.

-I, --interface=PARAMS
    interface specific parameters. In this case "interface" refers to the path through the operating system to the SMP initiator. See the smp_utils man page for more information.

-n, --num=NUM
    maximum number of descriptors to fetch (default is 62). Note that maximum SMP frame size is 1028 bytes (including a trailing 4 byte CRC) so 62 descriptors is the maximum number that can fit in one response.

-p, --phy=ID
    starting phy identifier within bitmap. ID should be one of 0 (the default), or a multiple of 48. Note there is only one expnder route table per expander, not one per phy.

-r, --raw
    send the response (less the CRC field) to stdout in binary. All error messages are sent to stderr.

-s, --sa=SAS_ADDR
    specifies the SAS address of the SMP target device. Typically this is an expander. This option may not be needed if the SMP_DEVICE has the target's SAS address within it. The SAS_ADDR is in decimal but most SAS addresses are shown in hexadecimal. To give a number in hexadecimal either prefix it with '0x' or put a trailing 'h' on it.

-v, --verbose
    increase the verbosity of the output. Can be used multiple times

-V, --version
    print the version string and then exit.

CONFORMING TO
The SMP REPORT EXPANDER ROUTE TABLE LIST function was introduced in SAS-2 .

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2007-2011 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
smp_utils, smp_rep_route_info